Bug 1986285 - Verification fails with next hop address 0.0.0.0 [rhel-8.4.0.z]
Summary: Verification fails with next hop address 0.0.0.0 [rhel-8.4.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: nmstate
Version: 8.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: beta
: ---
Assignee: Fernando F. Mancera
QA Contact: Mingyu Shi
URL:
Whiteboard:
Depends On: 1985879
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-27 07:48 UTC by RHEL Program Management Team
Modified: 2021-08-10 14:41 UTC (History)
7 users (show)

Fixed In Version: nmstate-1.0.2-14.el8_4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1985879
Environment:
Last Closed: 2021-08-10 13:54:58 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:3071 0 None None None 2021-08-10 13:55:05 UTC

Comment 3 Mingyu Shi 2021-08-02 10:30:43 UTC
Verified with versions:
nmstate-1.0.2-14.el8_4.noarch
nispor-1.0.1-4.el8.x86_64
NetworkManager-1.30.0-10.el8_4.x86_64

Desired state applied: 
---
routes:
  config:
  - destination: 0.0.0.0/0
    next-hop-address: 0.0.0.0
    next-hop-interface: dummy
    table-id: 0
interfaces:
- name: dummy
  type: dummy
  state: up
  ipv4:
    enabled: true
    address:
    - ip: 192.0.2.1
      prefix-length: 24
  ipv6:
    enabled: false
[06:19:34@ci-vm-10-0-137-181 ~]0# ip route
default via 10.0.139.254 dev eth0 proto dhcp metric 100 
default dev dummy proto static scope link metric 550 
10.0.136.0/22 dev eth0 proto kernel scope link src 10.0.137.181 metric 100 
169.254.169.254 via 10.0.136.13 dev eth0 proto dhcp metric 100 
192.0.2.0/24 dev dummy proto kernel scope link src 192.0.2.1 metric 550

Comment 7 errata-xmlrpc 2021-08-10 13:54:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (nmstate bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3071


Note You need to log in before you can comment on or make changes to this bug.